Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::FrameTimeControllerValue Class Reference

Predefined controller value for getting the latest frame time. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::FrameTimeControllerValue:

[legend]
List of all members.

## Public Methods

| FrameTimeControllerValue ()
bool | frameEnded (const FrameEvent &evt)
| Called just after a frame has been rendered.
bool | frameStarted (const FrameEvent &evt)
| Called when a frame is about to begin rendering.
Real | getValue (void) const
void | setValue (Real value)
Real | getTimeFactor (void) const
void | setTimeFactor (Real tf)

## Protected Attributes

Real | mFrameTime
Real | mTimeFactor

## Detailed Description

Predefined controller value for getting the latest frame time.

Definition at line 42 of file OgrePredefinedControllers.h.

## Constructor & Destructor Documentation

Ogre::FrameTimeControllerValue::FrameTimeControllerValue | ( |  | ) |

| Definition at line 38 of file OgrePredefinedControllers.cpp. References mFrameTime, and mTimeFactor.

## Member Function Documentation

bool Ogre::FrameTimeControllerValue::frameEnded | ( | const FrameEvent & | evt | ) | `[virtual]`

Called just after a frame has been rendered.

Returns:
  True to continue with the next frame, false to drop out of the rendering loop.

Reimplemented from Ogre::FrameListener.

Definition at line 54 of file OgrePredefinedControllers.cpp.

bool Ogre::FrameTimeControllerValue::frameStarted | ( | const FrameEvent & | evt | ) | `[virtual]`

Called when a frame is about to begin rendering.

Returns:
  True to go ahead, false to abort rendering and drop out of the rendering loop.

Reimplemented from Ogre::FrameListener.

Definition at line 47 of file OgrePredefinedControllers.cpp.

References mFrameTime, mTimeFactor, and Ogre::FrameEvent::timeSinceLastFrame.

Real Ogre::FrameTimeControllerValue::getTimeFactor | ( | void |  | ) | const

| Definition at line 69 of file OgrePredefinedControllers.cpp. References mTimeFactor, and Ogre::Real.

Real Ogre::FrameTimeControllerValue::getValue | ( | void |  | ) | const`[virtual]`

| Implements Ogre::ControllerValue< Real >. Definition at line 59 of file OgrePredefinedControllers.cpp. References mFrameTime, and Ogre::Real.

void Ogre::FrameTimeControllerValue::setTimeFactor | ( | Real | tf | ) |

| Definition at line 73 of file OgrePredefinedControllers.cpp. References mTimeFactor, and Ogre::Real.

void Ogre::FrameTimeControllerValue::setValue | ( | Real | value | ) | `[virtual]`

| Implements Ogre::ControllerValue< Real >. Definition at line 64 of file OgrePredefinedControllers.cpp. References Ogre::Real.

## Member Data Documentation

Real Ogre::FrameTimeControllerValue::mFrameTime`[protected]`

| Definition at line 45 of file OgrePredefinedControllers.h. Referenced by frameStarted(), FrameTimeControllerValue(), and getValue().

Real Ogre::FrameTimeControllerValue::mTimeFactor`[protected]`

| Definition at line 46 of file OgrePredefinedControllers.h. Referenced by frameStarted(), FrameTimeControllerValue(), getTimeFactor(), and setTimeFactor().

The documentation for this class was generated from the following files:

- OgrePredefinedControllers.h
- OgrePredefinedControllers.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:41 2004